| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiPython::TupleDecorator Class Reference

Simple class which performs the decoration of the standard N-Tuple. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static INTuple * | nTuple (const Tuples::Tuple &tuple)
| accessors to internal More...
static NTuple::Tuple * | ntuple (const Tuples::Tuple &tuple)
| accessors to internal More...
static bool | valid (const Tuples::Tuple &tuple)
| status of the tuple More...
static StatusCode | write (const Tuples::Tuple &tuple)
| commit the row More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value)
| more or less simple columns: long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value, const int minv, const int maxv)
| more or less simple columns: long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const double value)
| more or less simple columns: double More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const bool value)
| more or less simple columns: bool More...
static StatusCode | column_ll (const Tuples::Tuple &tuple, const std::string &name, const long long value)
| more or less simple columns: long long More...
static StatusCode | column_ull (const Tuples::Tuple &tuple, const std::string &name, const unsigned long long value)
| more or less simple columns: unsigned long long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress More...
static StatusCode | column (const Tuples::Tuple &tuple, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::LorentzVector &value)
| Advanced columns: LorentzVector. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZVector &value)
| Advanced columns: 3D-vector. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZPoint &value)
| Advanced columns: 3D-points. More...
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiUtils::VectorMap< int, double > &info, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector1 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector2 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector3 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector4 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector5 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector6 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector7 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector8 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector9 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols)
| Advanced columns: fixed size matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x2 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x3 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x4 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix5x5 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix6x6 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix7x7 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix8x8 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix9x9 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x1 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x5 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x6 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x4 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x5 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x6 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x2 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix1x1 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix2x2 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix3x3 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix4x4 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix5x5 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix6x6 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix7x7 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix8x8 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix9x9 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Time &value)
| advanced column: time More...
static StatusCode | column (const Tuples::Tuple &tuple, const Gaudi::Time &value)
| advanced column: time More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data)
| Advanced columns: fixed size matrices. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...

## Detailed Description

Simple class which performs the decoration of the standard N-Tuple.

See also
  Tuples::Tuple

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-04

Definition at line 46 of file TupleDecorator.h.

## Member Function Documentation

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 186 of file TupleDecorator.cpp.

188 {
189 if ( !tuple.valid() ) {
190 return StatusCode::FAILURE;
191 }
192 return tuple->array( name, data.begin(), data.end() );
193 }
StatusCode::FAILURE
Definition: StatusCode.h:31
std::vector::end
T end(T...args)
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587
std::vector::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector1 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 195 of file TupleDecorator.cpp.

197 {
198 if ( !tuple.valid() ) {
199 return StatusCode::FAILURE;
200 }
201 return tuple->array( name, data );
202 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector2 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 204 of file TupleDecorator.cpp.

206 {
207 if ( !tuple.valid() ) {
208 return StatusCode::FAILURE;
209 }
210 return tuple->array( name, data );
211 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector3 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 213 of file TupleDecorator.cpp.

215 {
216 if ( !tuple.valid() ) {
217 return StatusCode::FAILURE;
218 }
219 return tuple->array( name, data.begin(), data.begin() + 3 );
220 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587
std::string::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector4 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 222 of file TupleDecorator.cpp.

224 {
225 if ( !tuple.valid() ) {
226 return StatusCode::FAILURE;
227 }
228 // return tuple->array( name , data ) ;
229 return tuple->array( name, data.begin(), data.begin() + 4 );
230 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587
std::string::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector5 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 232 of file TupleDecorator.cpp.

234 {
235 if ( !tuple.valid() ) {
236 return StatusCode::FAILURE;
237 }
238 return tuple->array( name, data );
239 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector6 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 241 of file TupleDecorator.cpp.

243 {
244 if ( !tuple.valid() ) {
245 return StatusCode::FAILURE;
246 }
247 return tuple->array( name, data );
248 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector7 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 250 of file TupleDecorator.cpp.

252 {
253 if ( !tuple.valid() ) {
254 return StatusCode::FAILURE;
255 }
256 return tuple->array( name, data );
257 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector8 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 259 of file TupleDecorator.cpp.

261 {
262 if ( !tuple.valid() ) {
263 return StatusCode::FAILURE;
264 }
265 return tuple->array( name, data );
266 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector9 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 268 of file TupleDecorator.cpp.

270 {
271 if ( !tuple.valid() ) {
272 return StatusCode::FAILURE;
273 }
274 return tuple->array( name, data );
275 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 586 of file TupleDecorator.cpp.

588 {
589 if ( !tuple.valid() ) {
590 return StatusCode::FAILURE;
591 }
592 return tuple->array( name, data, data.num_row() );
593 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1587

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value
| ) |  |
| static

more or less simple columns: long

Definition at line 83 of file TupleDecorator.cpp.

84 {
85 return _fill( tuple, name, value );
86 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value,
|  | const int | minv,
|  | const int | maxv
| ) |  |
| static

more or less simple columns: long

Definition at line 88 of file TupleDecorator.cpp.

90 {
91 if ( !tuple.valid() ) {
92 return StatusCode::FAILURE;
93 }
94 return tuple->column( name, value, minv, maxv );
95 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:315
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const double | value
| ) |  |
| static

more or less simple columns: double

Definition at line 97 of file TupleDecorator.cpp.

99 {
100 return _fill( tuple, name, value );
101 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const bool | value
| ) |  |
| static

more or less simple columns: bool

Definition at line 115 of file TupleDecorator.cpp.

116 {
117 return _fill( tuple, name, value );
118 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | IOpaqueAddress * | value
| ) |  |
| static

more or less simple columns: IOpaqueAddress

Definition at line 120 of file TupleDecorator.cpp.

122 {
123 if ( !tuple.valid() ) {
124 return StatusCode::FAILURE;
125 }
126 return tuple->column( name, value );
127 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:315
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | IOpaqueAddress * | value
| ) |  |
| static

more or less simple columns: IOpaqueAddress

Definition at line 129 of file TupleDecorator.cpp.

130 {
131 return column( tuple, "Address", value );
132 }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:83

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::LorentzVector & | value
| ) |  |
| static

Advanced columns: LorentzVector.

Definition at line 134 of file TupleDecorator.cpp.

136 {
137 return _fill( tuple, name, value );
138 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZVector & | value
| ) |  |
| static

Advanced columns: 3D-vector.

Definition at line 140 of file TupleDecorator.cpp.

142 {
143 return _fill( tuple, name, value );
144 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZPoint & | value
| ) |  |
| static

Advanced columns: 3D-points.

Definition at line 146 of file TupleDecorator.cpp.

148 {
149 return _fill( tuple, name, value );
150 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Time & | value
| ) |  |
| static

advanced column: time

Definition at line 545 of file TupleDecorator.cpp.

547 {
548 if ( !tuple.valid() ) {
549 return StatusCode::FAILURE;
550 }
551 StatusCode sc = StatusCode::SUCCESS;
552 //
553 sc = tuple->column( name + "year", value.year( true ), 1970, 2070 );
554 if ( sc.isFailure() ) {
555 return sc;
556 }
557 sc = tuple->column( name + "month", value.month( true ) + 1, 1, 16 );
558 if ( sc.isFailure() ) {
559 return sc;
560 }
561 sc = tuple->column( name + "day", value.day( true ), 0, 32 );
562 if ( sc.isFailure() ) {
563 return sc;
564 }
565 sc = tuple->column( name + "hour", value.hour( true ), 0, 25 );
566 if ( sc.isFailure() ) {
567 return sc;
568 }
569 sc = tuple->column( name + "minute", value.minute( true ), 0, 61 );
570 if ( sc.isFailure() ) {
571 return sc;
572 }
573 sc = tuple->column( name + "second", value.second( true ), 0, 61 );
574 if ( sc.isFailure() ) {
575 return sc;
576 }
577 sc = tuple->column( name + "nsecond", value.nsecond() );
578 //
579 return sc;
580 }
Gaudi::Time::hour
int hour(bool local) const
Get the hour, numbered [0, 23].
Definition: Time.cpp:181
StatusCode::SUCCESS
Definition: StatusCode.h:31
StatusCode::FAILURE
Definition: StatusCode.h:31
Gaudi::Time::day
int day(bool local) const
Get the day of month, numbered [1,31].
Definition: Time.cpp:178
Gaudi::Time::month
int month(bool local) const
Get the month, numbered [0,11].
Definition: Time.cpp:175
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:315
Gaudi::Time::second
int second(bool local) const
Get the seconds, numbered [0,61] (allowing one or two leap seconds, years with leap seconds can have ...
Definition: Time.cpp:189
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:86
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Gaudi::Time::nsecond
int nsecond() const
Get the nanoseconds.
Definition: Time.cpp:194
Gaudi::Time::year
int year(bool local) const
Get the year.
Definition: Time.cpp:172
Gaudi::Time::minute
int minute(bool local) const
Get the minute, numbered [0, 59].
Definition: Time.cpp:184

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const Gaudi::Time & | value
| ) |  |
| static

advanced column: time

Definition at line 538 of file TupleDecorator.cpp.

539 {
540 return column( tuple, "", value );
541 }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:83

StatusCode GaudiPython::TupleDecorator::column_ll | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const long long | value
| ) |  |
| static

more or less simple columns: long long

Definition at line 103 of file TupleDecorator.cpp.

105 {
106 return _fill( tuple, name, value );
107 }

StatusCode GaudiPython::TupleDecorator::column_ull | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const unsigned long long | value
| ) |  |
| static

more or less simple columns: unsigned long long

Definition at line 109 of file TupleDecorator.cpp.

111 {
112 return _fill( tuple, name, value );
113 }

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size arrays.

Definition at line 152 of file TupleDecorator.cpp.

155 {
156 if ( !tuple.valid() ) {
157 return StatusCode::FAILURE;
158 }
159 return tuple->farray( name, data.begin(), data.end(), length, maxv );
160 }
StatusCode::FAILURE
Definition: StatusCode.h:31
std::vector::end
T end(T...args)
Tuples::TupleObj::farray
StatusCode farray(const std::string &name, ITERATOR1 &&first, ITERATOR2 &&last, const std::string &length, size_t maxv)
Add an indexed array (of type float) to N-tuple.
Definition: TupleObj.h:892
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
std::vector::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size arrays.

Definition at line 595 of file TupleDecorator.cpp.

598 {
599 if ( !tuple.valid() ) {
600 return StatusCode::FAILURE;
601 }
602 // use the trick!
603 const double* begin = &( data[0] );
604 const double* end = begin + data.num_row();
605 return tuple->farray( name, begin, end, length, maxv );
606 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::TupleObj::farray
StatusCode farray(const std::string &name, ITERATOR1 &&first, ITERATOR2 &&last, const std::string &length, size_t maxv)
Add an indexed array (of type float) to N-tuple.
Definition: TupleObj.h:892
begin
auto begin(reverse_wrapper< T > &w)
Definition: reverse.h:58
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
end
auto end(reverse_wrapper< T > &w)
Definition: reverse.h:64

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 162 of file TupleDecorator.cpp.

166 {
167 if ( !tuple.valid() ) {
168 return StatusCode::FAILURE;
169 }
170 if ( !data.empty() && cols != data.front().size() ) {
171 return tuple->Error( "GP:fmatrix(1): mismatch in matrix dimensions!" );
172 }
173 return tuple->fmatrix( name, data, data.size(), cols, length, maxv );
174 }
std::vector::empty
T empty(T...args)
StatusCode::FAILURE
Definition: StatusCode.h:31
std::vector::front
T front(T...args)
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1314
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
std::vector::size
T size(T...args)
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiUtils::VectorMap< int, double > & | info,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 176 of file TupleDecorator.cpp.

179 {
180 if ( !tuple.valid() ) {
181 return StatusCode::FAILURE;
182 }
183 return tuple->fmatrix( name, info, length, maxv );
184 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1314
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 623 of file TupleDecorator.cpp.

627 {
628 if ( !tuple.valid() ) {
629 return StatusCode::FAILURE;
630 }
631 if ( cols != data.num_col() ) {
632 return tuple->Error( "GP:fmatrix(2): mismatch in matrix dimensions!" );
633 }
634 return tuple->fmatrix( name, data, data.num_row(), cols, length, maxv );
635 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1314
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols
| ) |  |
| static

Advanced columns: fixed size matrices.

Definition at line 277 of file TupleDecorator.cpp.

280 {
281 if ( !tuple.valid() ) {
282 return StatusCode::FAILURE;
283 }
284 if ( data.empty() ) {
285 return tuple->Warning( "GP:matrix(1): empty fixed matrix, skip matrix " );
286 }
287 if ( cols != data.front().size() ) {
288 return tuple->Error( "GP:matrix(1): mismatch in fixed matrix dimensions!" );
289 }
290 return tuple->matrix( name, data, data.size(), cols );
291 }
std::vector::empty
T empty(T...args)
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
std::vector::front
T front(T...args)
Tuples::TupleObj::Warning
virtual StatusCode Warning(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
std::vector::size
T size(T...args)
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 302 of file TupleDecorator.cpp.

304 {
305 if ( !tuple.valid() ) {
306 return StatusCode::FAILURE;
307 }
308 return tuple->matrix( name, data );
309 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 311 of file TupleDecorator.cpp.

313 {
314 if ( !tuple.valid() ) {
315 return StatusCode::FAILURE;
316 }
317 return tuple->matrix( name, data );
318 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 320 of file TupleDecorator.cpp.

322 {
323 if ( !tuple.valid() ) {
324 return StatusCode::FAILURE;
325 }
326 return tuple->matrix( name, data );
327 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix5x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 329 of file TupleDecorator.cpp.

331 {
332 if ( !tuple.valid() ) {
333 return StatusCode::FAILURE;
334 }
335 return tuple->matrix( name, data );
336 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix6x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 338 of file TupleDecorator.cpp.

340 {
341 if ( !tuple.valid() ) {
342 return StatusCode::FAILURE;
343 }
344 return tuple->matrix( name, data );
345 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix7x7 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 347 of file TupleDecorator.cpp.

349 {
350 if ( !tuple.valid() ) {
351 return StatusCode::FAILURE;
352 }
353 return tuple->matrix( name, data );
354 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix8x8 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 356 of file TupleDecorator.cpp.

358 {
359 if ( !tuple.valid() ) {
360 return StatusCode::FAILURE;
361 }
362 return tuple->matrix( name, data );
363 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix9x9 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 365 of file TupleDecorator.cpp.

367 {
368 if ( !tuple.valid() ) {
369 return StatusCode::FAILURE;
370 }
371 return tuple->matrix( name, data );
372 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x1 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 293 of file TupleDecorator.cpp.

295 {
296 if ( !tuple.valid() ) {
297 return StatusCode::FAILURE;
298 }
299 return tuple->matrix( name, data );
300 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 374 of file TupleDecorator.cpp.

376 {
377 if ( !tuple.valid() ) {
378 return StatusCode::FAILURE;
379 }
380 return tuple->matrix( name, data );
381 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 383 of file TupleDecorator.cpp.

385 {
386 if ( !tuple.valid() ) {
387 return StatusCode::FAILURE;
388 }
389 return tuple->matrix( name, data );
390 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 392 of file TupleDecorator.cpp.

394 {
395 if ( !tuple.valid() ) {
396 return StatusCode::FAILURE;
397 }
398 return tuple->matrix( name, data );
399 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 401 of file TupleDecorator.cpp.

403 {
404 if ( !tuple.valid() ) {
405 return StatusCode::FAILURE;
406 }
407 return tuple->matrix( name, data );
408 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 410 of file TupleDecorator.cpp.

412 {
413 if ( !tuple.valid() ) {
414 return StatusCode::FAILURE;
415 }
416 return tuple->matrix( name, data );
417 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 419 of file TupleDecorator.cpp.

421 {
422 if ( !tuple.valid() ) {
423 return StatusCode::FAILURE;
424 }
425 return tuple->matrix( name, data );
426 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 428 of file TupleDecorator.cpp.

430 {
431 if ( !tuple.valid() ) {
432 return StatusCode::FAILURE;
433 }
434 return tuple->matrix( name, data );
435 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 437 of file TupleDecorator.cpp.

439 {
440 if ( !tuple.valid() ) {
441 return StatusCode::FAILURE;
442 }
443 return tuple->matrix( name, data );
444 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 446 of file TupleDecorator.cpp.

448 {
449 if ( !tuple.valid() ) {
450 return StatusCode::FAILURE;
451 }
452 return tuple->matrix( name, data );
453 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix1x1 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 455 of file TupleDecorator.cpp.

457 {
458 if ( !tuple.valid() ) {
459 return StatusCode::FAILURE;
460 }
461 return tuple->matrix( name, data );
462 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix2x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 464 of file TupleDecorator.cpp.

466 {
467 if ( !tuple.valid() ) {
468 return StatusCode::FAILURE;
469 }
470 return tuple->matrix( name, data );
471 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix3x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 473 of file TupleDecorator.cpp.

475 {
476 if ( !tuple.valid() ) {
477 return StatusCode::FAILURE;
478 }
479 return tuple->matrix( name, data );
480 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix4x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 482 of file TupleDecorator.cpp.

484 {
485 if ( !tuple.valid() ) {
486 return StatusCode::FAILURE;
487 }
488 return tuple->matrix( name, data );
489 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix5x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 491 of file TupleDecorator.cpp.

493 {
494 if ( !tuple.valid() ) {
495 return StatusCode::FAILURE;
496 }
497 return tuple->matrix( name, data );
498 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix6x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 500 of file TupleDecorator.cpp.

502 {
503 if ( !tuple.valid() ) {
504 return StatusCode::FAILURE;
505 }
506 return tuple->matrix( name, data );
507 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix7x7 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 509 of file TupleDecorator.cpp.

511 {
512 if ( !tuple.valid() ) {
513 return StatusCode::FAILURE;
514 }
515 return tuple->matrix( name, data );
516 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix8x8 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 518 of file TupleDecorator.cpp.

520 {
521 if ( !tuple.valid() ) {
522 return StatusCode::FAILURE;
523 }
524 return tuple->matrix( name, data );
525 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix9x9 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 527 of file TupleDecorator.cpp.

529 {
530 if ( !tuple.valid() ) {
531 return StatusCode::FAILURE;
532 }
533 return tuple->matrix( name, data );
534 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data
| ) |  |
| static

Advanced columns: fixed size matrices.

Definition at line 608 of file TupleDecorator.cpp.

610 {
611 if ( !tuple.valid() ) {
612 return StatusCode::FAILURE;
613 }
614 if ( 1 > data.num_col() ) {
615 return tuple->Error( "GP:matrix(2): illegal fixed matrix num_col" );
616 }
617 if ( 1 > data.num_row() ) {
618 return tuple->Error( "GP:matrix(2): illegal fixed matrix num_row" );
619 }
620 return tuple->matrix( name, data, data.num_row(), data.num_col() );
621 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1750
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0

INTuple * GaudiPython::TupleDecorator::nTuple | ( | const Tuples::Tuple & | tuple | ) |
| static

accessors to internal

Definition at line 57 of file TupleDecorator.cpp.

58 {
59 if ( !tuple.valid() ) {
60 return 0;
61 }
62 return tuple->tuple();
63 }
Tuples::TupleObj::tuple
const NTuple::Tuple * tuple() const
provide the access to underlying Gaudi N-tuple
Definition: TupleObj.h:1935
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

NTuple::Tuple * GaudiPython::TupleDecorator::ntuple | ( | const Tuples::Tuple & | tuple | ) |
| static

accessors to internal

Definition at line 65 of file TupleDecorator.cpp.

66 {
67 if ( !tuple.valid() ) {
68 return 0;
69 }
70 return tuple->tuple();
71 }
Tuples::TupleObj::tuple
const NTuple::Tuple * tuple() const
provide the access to underlying Gaudi N-tuple
Definition: TupleObj.h:1935
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

bool GaudiPython::TupleDecorator::valid | ( | const Tuples::Tuple & | tuple | ) |
| static

status of the tuple

Definition at line 73 of file TupleDecorator.cpp.

73 { return tuple.valid(); }
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150

StatusCode GaudiPython::TupleDecorator::write | ( | const Tuples::Tuple & | tuple | ) |
| static

commit the row

Definition at line 75 of file TupleDecorator.cpp.

76 {
77 if ( !tuple.valid() ) {
78 return StatusCode::FAILURE;
79 }
80 return tuple->write();
81 }
StatusCode::FAILURE
Definition: StatusCode.h:31
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150
Tuples::TupleObj::write
StatusCode write()
write a record to NTuple
Definition: TupleObj.cpp:237

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/TupleDecorator.h
- GaudiPython/src/Lib/TupleDecorator.cpp